Skip to content

List all company notes

Request

You can fetch a list of notes that are associated to a company.

Requires the read_users_companies OAuth scope.

Security
bearerAuth
Path
company_idstringrequired

The unique identifier for the company which is given by Intercom

Example:5f4d3c1c-7b1b-4d7d-a97e-6095715c6632
Query
pageinteger

The page of results to return. Defaults to 1.

Example:page=1
per_pageinteger

The number of notes to return per page. Defaults to 50, maximum 60.

Example:per_page=50
orderstring

The order the notes are returned in, by id. Defaults to desc.

Enum:"asc""desc"
Example:order=desc
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/notes?page=1&per_page=50&order=desc' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value list.

Example:"list"
dataArray of objects(Note)

An array of notes.

total_countinteger

A count of the total number of notes.

Example:1

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 } }